%define anolis_release 1
%global pypi_name pyquaternion
%global pypi_version 0.9.9

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A fully featured, pythonic library for representing and using quaternions

License:        MIT
URL:            http://kieranwynn.github.io/pyquaternion/
Source0:        https://github.com/KieranWynn/pyquaternion/archive/refs/tags/v0.9.9.tar.gz#/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel pytest
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(setuptools)

%description
A fully featured, pythonic library for quaternion representation, manipulation,
3D animation and geometry.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
%description -n python3-%{pypi_name}
A fully featured, pythonic library for quaternion representation, manipulation,
3D animation and geometry.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 07 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.9.9-1
- Initial package.
